package internal

import (
	"context"
	"github.com/wechatpay-apiv3/wechatpay-go/services/transferbatch"
	"plugins/utils/weixin"
)

func transferBatchApiService(ctx context.Context, c *weixin.Server) (*transferbatch.TransferBatchApiService, error) {
	client, err := weixin.GetClient(ctx, c)
	if err != nil {
		return nil, err
	}
	svc := transferbatch.TransferBatchApiService{Client: client}
	return &svc, nil
}

func transferDetailApiService(ctx context.Context, c *weixin.Server) (*transferbatch.TransferDetailApiService, error) {
	client, err := weixin.GetClient(ctx, c)
	if err != nil {
		return nil, err
	}
	svc := transferbatch.TransferDetailApiService{Client: client}
	return &svc, nil
}

func verify(ctx context.Context, c *weixin.Server) error {
	err := c.Verify(ctx, "", "")
	if err != nil {
		return err
	}
	return nil
}
